.logo {
  &__wrapper {
    position: relative;
    width: 44%;
    padding-bottom: 36%;
    margin: auto;
    transform: translateY(-15%);
  }

  &__blur {
    @include size(76%, 93%);
    position: absolute;
    top: 0;
    left: 15.2%;
    box-shadow: 6px 6px 24px rgba(255, 255, 255, 0.52);
    background: rgba(255, 255, 255, 0.4);
    backdrop-filter: blur(40px);

    @supports not ((-webkit-backdrop-filter: none) or (backdrop-filter: none)) {
      background-color: rgba(255, 255, 255, 0.7);
    }

    &--back {
      @include size(76%, 93%);
      position: absolute;
      top: 5.08%;
      right: 4.2%;
      box-shadow: 6px 6px 24px rgba(255, 255, 255, 0.52);
      background: rgba(255, 255, 255, 0.32);
      backdrop-filter: blur(10px);

      @supports not (
        (-webkit-backdrop-filter: none) or (backdrop-filter: none)
      ) {
        background-color: rgba(255, 255, 255, 0.5);
      }
    }
  }

  &__text {
    @include absolute-center;
    @include size(55%, 60%);
    object-fit: contain;
  }

  &__gradient {
    background: $base-gradient;
    position: absolute;

    &--small {
      @extend .logo__gradient;
      @include size(6.9%, 8.47%);

      &:nth-child(1) {
        right: 0;
        bottom: 16.7%;
      }

      &:nth-child(2) {
        right: 0;
        bottom: 0;
      }

      &:nth-child(3) {
        right: 13.6%;
        bottom: 0;
      }
    }

    &--medium {
      @extend .logo__gradient;
      @include size(17.3%, 21.2%);
      top: 7.2%;
      right: 0;
    }

    &--large {
      @extend .logo__gradient;
      @extend .logo__gradient;
      @include size(55.3%, 67.8%);
      top: 18.6%;
      left: 0;
      box-shadow: 0px 24px 48px rgba(230, 90, 138, 0.32);
    }
  }
}
// TABLET
@include tablet {
  .logo {
    &__wrapper {
      transform: none;
    }
  }
}

// PHONE

@include phone {
  .logo {
    &__wrapper {
      width: 100%;
      max-width: 37.5rem;
      padding-bottom: 84%;
    }
  }
}
